﻿using IRaCIS.Core.Domain.Share.Reading;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace IRaCIS.Core.Application.Service.Reading.Dto
{
    public class GetReadModuleDto:PageInput
    {
        public Guid? TrialId { get; set; }
    }




    public class ReadModuleAddOrEdit
    {
        public Guid? Id { get; set; }

        /// <summary>
        /// 受试者ID
        /// </summary>
        public Guid? SubjectId { get; set; }

        /// <summary>
        /// 模块类型
        /// </summary>
        public ModuleTypeEnum ModuleType { get; set; }

        /// <summary>
        /// 模块名称
        /// </summary>
        public string ModuleName { get; set; }

        /// <summary>
        /// 是否加急
        /// </summary>
        public bool? IsUrgent { get; set; }

        /// <summary>
        /// 访视ID
        /// </summary>
        public Guid? SubjectVisitId { get; set; }

        /// <summary>
        /// 状态
        /// </summary>
        public ReadModuleEnum? Status { get; set; }
    }


    public class GetReadModuleOutDto : ReadModule
    {

        public string SubjectCode { get; set; }

        public string SiteCode { get; set; }


        public string VisitName { get; set; }

        public Guid? SiteId { get; set; }
    }

    public class GetReadModuleResultDto
    {
        /// <summary>
        /// 当前页索引
        /// </summary>
        public int PageIndex { get; set; }

        /// <summary>
        /// 每页的记录条数
        /// </summary>
        public int PageSize { get; set; }

        /// <summary>
        /// 数据总数
        /// </summary>
        public long TotalCount { get; set; } = 0;

        /// <summary>
        /// 最大长度
        /// </summary>
        public int MaxLength { get; set; }

        /// <summary>
        /// 数据
        /// </summary>
        public List<GetReadModuleDtoOut> CurrentPageData { get; set; }

      
    }
        
        

    public class GetReadModuleDtoOut
    {
        public string SubjectCode { get; set; }

        public string SiteCode { get; set; }

        public Guid? SiteId { get; set; }

        public Guid? SubjectId { get; set; }

        public List<GetReadModuleOutDto> Data { get; set; }
    }
}
